%global pypi_name linkify-it-py

Name:		python-%{pypi_name}
Summary:	Links recognition library with FULL unicode support
Version:	2.0.3
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/linkify-it-py/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	python3-devel

%description
This is Python port of linkify-it.

Links recognition library with FULL unicode support. Focused on high quality
link patterns detection in plain text.

%package -n python3-%{pypi_name}
Summary:	Links recognition library with FULL unicode support
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is Python port of linkify-it.

Links recognition library with FULL unicode support. Focused on high quality
link patterns detection in plain text.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files linkify_it

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Fri Jun 28 2024 papoteur <papoteur> 2.0.3-1.mga10
+ Revision: 2077603
- new version 2.0.3

* Sun Jan 21 2024 wally <wally> 2.0.2-1.mga10
+ Revision: 2033304
- imported package python-linkify-it-py

